unit uIEditorEjercicio;

interface

uses
  uBizEjercicios, uEjerciciosController;

type
  IEditorEjercicio = interface
  ['{3CDABEA1-F952-4F35-8A31-279FFB7C31E4}']
    function GetController : IEjerciciosController;
    procedure SetController (const Value : IEjerciciosController);
    property Controller : IEjerciciosController read GetController write SetController;

    function GetEjercicio: IBizEjercicio;
    procedure SetEjercicio(const Value: IBizEjercicio);
    property Ejercicio: IBizEjercicio read GetEjercicio write SetEjercicio;
    
    function ShowModal : Integer;
    procedure Release;
  end;


implementation

end.
